Name:           python-sagemaker-feature-store-pyspark
Version:        1.1.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Amazon SageMaker FeatureStore PySpark Bindings

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/sagemaker-feature-store-pyspark/
Source:         %{pypi_source sagemaker_feature_store_pyspark}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sagemaker-feature-store-pyspark' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sagemaker-feature-store-pyspark
Summary:        %{summary}

%description -n python3-sagemaker-feature-store-pyspark %_description


%prep
%autosetup -p1 -n sagemaker_feature_store_pyspark-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sagemaker-feature-store-pyspark -f %{pyproject_files}


%changelog
%autochangelog